## ros-noetic-gazebo-ros-pkgs 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gazebo_ros_pkgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-gazebo-ros-pkgs (2.9.2-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.9.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 May 2020 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.9.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#1066 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1066>)
  * Contributors: Alejandro Hernández Cordero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 May 2020 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.8.5-1focal) focal; urgency=high

  * Remove extra angle bracket (#895 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/895>)
  * Contributors: David V. Lu!!

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.8.4-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.8.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.8.2-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.8.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 May 2018 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.7.4-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.7.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.7.2-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 20 May 2017 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.7.1-1focal) focal; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.12-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.11-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.10-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Mar 2017 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.9-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Feb 2017 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.8-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Dec 2016 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.7-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jun 2016 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.6-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.5-1focal) focal; urgency=high

  * merge indigo, jade to kinetic-devel
  * Update maintainer for Kinetic release
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.2-1focal) focal; urgency=high

  * merging from indigo-devel
  * 2.4.9
  * Generate changelog
  * Contributors: John Hsu, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.5.0-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 Apr 2015 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.10-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.9-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.8-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.7-1focal) focal; urgency=high

  * Update Gazebo/ROS tutorial URL
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.6-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.5-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 17 Aug 2014 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.4-1focal) focal; urgency=high

  * Updated package.xml
  * Fix repo names in package.xml's
  * Contributors: Dave Coleman, Jon Binney

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 17 Jul 2014 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 May 2014 22:00:00 -0000

ros-noetic-gazebo-ros-pkgs (2.4.2-1focal) focal; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Mar 2014 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-gazebo-ros-pkgs
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-noetic-gazebo-ros-pkgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-gazebo-dev, ros-noetic-gazebo-msgs, ros-noetic-gazebo-plugins, ros-noetic-gazebo-ros
Description: Interface for using ROS with the Gazebo simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-gazebo-ros-pkgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
